--- gcc5.spec	2016-02-10 11:42:50.189256125 +0100
+++ gcc5.minimal.spec	2016-02-10 11:47:58.435107923 +0100
@@ -2479,67 +2477,67 @@
 # libgcj_bc is special as the .so file is actually a different
 # library as the library refered to by the SONAME which should
 # be a simple link to our libgcj.
-for lib in `find $RPM_BUILD_ROOT%{versmainlibdir} -maxdepth 1 -name libgcj_bc.so.*`; do
+for lib in `find %{buildroot}%{versmainlibdir} -maxdepth 1 -name libgcj_bc.so.*`; do
   rm $lib
 done
-ln -s libgcj.so.%{libgcj_sover} $RPM_BUILD_ROOT%{mainlibdir}/libgcj_bc.so.%{libgcj_bc_sover}
+ln -s libgcj.so.%{libgcj_sover} %{buildroot}%{mainlibdir}/libgcj_bc.so.%{libgcj_bc_sover}
 %if %{biarch_libjava}
-for lib in `find $RPM_BUILD_ROOT%{versmainlibdirbi} -maxdepth 1 -name libgcj_bc.so.*`; do
+for lib in `find %{buildroot}%{versmainlibdirbi} -maxdepth 1 -name libgcj_bc.so.*`; do
   rm $lib
 done
-ln -s libgcj.so.%{libgcj_sover} $RPM_BUILD_ROOT%{mainlibdirbi}/libgcj_bc.so.%{libgcj_bc_sover}
+ln -s libgcj.so.%{libgcj_sover} %{buildroot}%{mainlibdirbi}/libgcj_bc.so.%{libgcj_bc_sover}
 %endif
-mv $RPM_BUILD_ROOT%{libsubdir}/pkgconfig $RPM_BUILD_ROOT%{_libdir}/
+mv %{buildroot}%{libsubdir}/pkgconfig %{buildroot}%{_libdir}/
 %endif
 
 # Move libgcc_s around
-if test -L $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so; then
-  rm -f $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so
-  ln -sf /%{_lib}/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdir}/libgcc_s.so
+if test -L %{buildroot}/%{_lib}/libgcc_s.so; then
+  rm -f %{buildroot}/%{_lib}/libgcc_s.so
+  ln -sf /%{_lib}/libgcc_s.so.%{libgcc_s} %{buildroot}%{versmainlibdir}/libgcc_s.so
 else
-  mv $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so $RPM_BUILD_ROOT%{versmainlibdir}/
+  mv %{buildroot}/%{_lib}/libgcc_s.so %{buildroot}%{versmainlibdir}/
 fi
-chmod a+x $RPM_BUILD_ROOT/%{_lib}/libgcc_s.so.%{libgcc_s}
+chmod a+x %{buildroot}/%{_lib}/libgcc_s.so.%{libgcc_s}
 %if %{biarch}
 %if %{build_primary_64bit}
-if test -L $RPM_BUILD_ROOT/lib/libgcc_s.so; then
-  rm -f $RPM_BUILD_ROOT/lib/libgcc_s.so
-  ln -sf /lib/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi32}/libgcc_s.so
+if test -L %{buildroot}/lib/libgcc_s.so; then
+  rm -f %{buildroot}/lib/libgcc_s.so
+  ln -sf /lib/libgcc_s.so.%{libgcc_s} %{buildroot}%{versmainlibdirbi32}/libgcc_s.so
 else
-  mv $RPM_BUILD_ROOT/lib/libgcc_s.so $RPM_BUILD_ROOT%{versmainlibdirbi32}/
+  mv %{buildroot}/lib/libgcc_s.so %{buildroot}%{versmainlibdirbi32}/
 fi
-ln -sf %{versmainlibdirbi32}/libgcc_s.so $RPM_BUILD_ROOT%{versmainlibdirbi32}/libgcc_s_32.so
-chmod a+x $RPM_BUILD_ROOT/lib/libgcc_s.so.%{libgcc_s}
+ln -sf %{versmainlibdirbi32}/libgcc_s.so %{buildroot}%{versmainlibdirbi32}/libgcc_s_32.so
+chmod a+x %{buildroot}/lib/libgcc_s.so.%{libgcc_s}
 %else
 # 32-bit biarch systems
-if test -L $RPM_BUILD_ROOT/lib64/libgcc_s.so; then
-  rm -f $RPM_BUILD_ROOT/lib64/libgcc_s.so
-  ln -sf /lib64/libgcc_s.so.%{libgcc_s} $RPM_BUILD_ROOT%{versmainlibdirbi64}/libgcc_s.so
+if test -L %{buildroot}/lib64/libgcc_s.so; then
+  rm -f %{buildroot}/lib64/libgcc_s.so
+  ln -sf /lib64/libgcc_s.so.%{libgcc_s} %{buildroot}%{versmainlibdirbi64}/libgcc_s.so
 else
-  mv $RPM_BUILD_ROOT/lib64/libgcc_s.so $RPM_BUILD_ROOT%{versmainlibdirbi64}/
+  mv %{buildroot}/lib64/libgcc_s.so %{buildroot}%{versmainlibdirbi64}/
 fi
-ln -sf %{versmainlibdirbi64}/libgcc_s.so $RPM_BUILD_ROOT%{versmainlibdirbi64}/libgcc_s_64.so
-chmod a+x $RPM_BUILD_ROOT/lib64/libgcc_s.so.%{libgcc_s}
+ln -sf %{versmainlibdirbi64}/libgcc_s.so %{buildroot}%{versmainlibdirbi64}/libgcc_s_64.so
+chmod a+x %{buildroot}/lib64/libgcc_s.so.%{libgcc_s}
 %endif
 %endif
 
 %if %{build_ada}
-mv $RPM_BUILD_ROOT%{libsubdir}/adalib/lib*-*.so $RPM_BUILD_ROOT%{_libdir}
-ln -sf %{_libdir}/libgnarl%{binsuffix}.so $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnarl.so
-ln -sf %{_libdir}/libgnat%{binsuffix}.so $RPM_BUILD_ROOT%{libsubdir}/adalib/libgnat.so
-chmod a+x $RPM_BUILD_ROOT%{_libdir}/libgna*-*.so
+mv %{buildroot}%{libsubdir}/adalib/lib*-*.so %{buildroot}%{_libdir}
+ln -sf %{_libdir}/libgnarl%{binsuffix}.so %{buildroot}%{libsubdir}/adalib/libgnarl.so
+ln -sf %{_libdir}/libgnat%{binsuffix}.so %{buildroot}%{libsubdir}/adalib/libgnat.so
+chmod a+x %{buildroot}%{_libdir}/libgna*-*.so
 %if %{biarch}
-mv $RPM_BUILD_ROOT%{versmainlibdirbi}/adalib/lib*-*.so $RPM_BUILD_ROOT%{mainlibdirbi}/
-ln -sf %{mainlibdirbi}/libgnarl%{binsuffix}.so $RPM_BUILD_ROOT%{versmainlibdirbi}/adalib/libgnarl.so
-ln -sf %{mainlibdirbi}/libgnat%{binsuffix}.so $RPM_BUILD_ROOT%{versmainlibdirbi}/adalib/libgnarl.so
-chmod a+x $RPM_BUILD_ROOT%{mainlibdirbi}/libgna*-*.so
+mv %{buildroot}%{versmainlibdirbi}/adalib/lib*-*.so %{buildroot}%{mainlibdirbi}/
+ln -sf %{mainlibdirbi}/libgnarl%{binsuffix}.so %{buildroot}%{versmainlibdirbi}/adalib/libgnarl.so
+ln -sf %{mainlibdirbi}/libgnat%{binsuffix}.so %{buildroot}%{versmainlibdirbi}/adalib/libgnarl.so
+chmod a+x %{buildroot}%{mainlibdirbi}/libgna*-*.so
 %endif
 %endif
 
-rm -f $RPM_BUILD_ROOT%{_prefix}/bin/c++%{binsuffix}
+rm -f %{buildroot}%{_bindir}/c++%{binsuffix}
 
 # Remove some crap from the .la files:
-for l in `find $RPM_BUILD_ROOT -name '*.la'`; do
+for l in `find %{buildroot} -name '*.la'`; do
   echo "changing $l"
 # -e '/^dependency_libs/s|%{libsubdir}/\([^.]*\)\.la |%{_libdir}/\1\.la |g'
   sed -e '/^dependency_libs/s| -L%{_builddir}/[^ ]*||g' \
@@ -2558,121 +2556,121 @@
   mv $l.new $l
 done
 
-%if 0%{?run_tests:1} 
+%if 0%{?run_tests:1}
 cp `find . -name "*.sum"` ../testresults/
 cp `find . -name "*.log"  \! -name "config.log" | grep -v 'acats.\?/tests' ` ../testresults/
 chmod 644 ../testresults/*
 %endif
 %if %{build_cp}
 # Find C++ and Java headers
-find $RPM_BUILD_ROOT%{_prefix}/include/c++ \
+find %{buildroot}%{_includedir}/c++ \
   -regex ".*/\(org\|gcj\|gnu\|java\|javax\)" -prune \
   -o \( -type d -printf "%%%%dir " , \
-        -printf "%{_prefix}/include/c++/%%P\n" \) > ../c++-headers
+        -printf "%{_includedir}/c++/%%P\n" \) > ../c++-headers
 %endif
 # Remove files that we do not need to clean up filelist
-rm -f $RPM_BUILD_ROOT%{_prefix}/bin/%{GCCDIST}-*
-rm -rf $RPM_BUILD_ROOT%{libsubdir}/install-tools
+rm -f %{buildroot}%{_bindir}/%{GCCDIST}-*
+rm -rf %{buildroot}%{libsubdir}/install-tools
 #rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libgcj%{binsuffix}.pc
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/zutil.h
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/linux/a.out.h
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/linux/vt.h
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/asm-generic/socket.h
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/bits/mathdef.h
-rm -f $RPM_BUILD_ROOT%{libsubdir}/include-fixed/sys/ucontext.h
+rm -f %{buildroot}%{libsubdir}/include-fixed/zutil.h
+rm -f %{buildroot}%{libsubdir}/include-fixed/linux/a.out.h
+rm -f %{buildroot}%{libsubdir}/include-fixed/linux/vt.h
+rm -f %{buildroot}%{libsubdir}/include-fixed/asm-generic/socket.h
+rm -f %{buildroot}%{libsubdir}/include-fixed/bits/mathdef.h
+rm -f %{buildroot}%{libsubdir}/include-fixed/sys/ucontext.h
 # no plugins
-rm -rf $RPM_BUILD_ROOT%{libsubdir}/plugin
-rm -f  $RPM_BUILD_ROOT%{_infodir}/dir
+rm -rf %{buildroot}%{libsubdir}/plugin
+rm -f  %{buildroot}%{_infodir}/dir
 
 %if 0%{?building_libjava:1}
 # gcj -static doesn't work properly anyway, unless using --whole-archive
 # let's save the space instead.
-find $RPM_BUILD_ROOT -name libgcj.a \
+find %{buildroot} -name libgcj.a \
 	-o -name libgcj-tools.a \
 	-o -name libgij.a \
 	-o -name libjvm.a \
 	-o -name libgcj_bc.a \
   | xargs rm -f
 
-find $RPM_BUILD_ROOT -name libgcj.spec | xargs \
+find %{buildroot} -name libgcj.spec | xargs \
   sed -i -e 's/lib: /&%%{static:%%eJava programs cannot be linked statically}/'
 
 # security files have broken install locations, also they cause conflicts
 # between libgcj versions.  Simply delete them here, libgcj will use its
 # defaults in this case (which is what these files contain anyway).
-rm -f $RPM_BUILD_ROOT%{libsubdir}/logging.properties
-rm -r $RPM_BUILD_ROOT%{libsubdir}/security
+rm -f %{buildroot}%{libsubdir}/logging.properties
+rm -r %{buildroot}%{libsubdir}/security
 %endif
 
 %if 0%{?building_libffi:1}
 # Move libffi headers, remove empty libffi libtool file
-mkdir -p $RPM_BUILD_ROOT%{_prefix}/include
-mv $RPM_BUILD_ROOT%{libsubdir}/include/ffitarget.h $RPM_BUILD_ROOT%{_prefix}/include/
-mv $RPM_BUILD_ROOT%{libsubdir}/include/ffi.h $RPM_BUILD_ROOT%{_prefix}/include/
-rm -f $RPM_BUILD_ROOT%{mainlibdir}/libffi.la
+mkdir -p %{buildroot}%{_prefix}/include
+mv %{buildroot}%{libsubdir}/include/ffitarget.h %{buildroot}%{_includedir}/
+mv %{buildroot}%{libsubdir}/include/ffi.h %{buildroot}%{_includedir}/
+rm -f %{buildroot}%{mainlibdir}/libffi.la
 %if %{biarch}
-rm -f $RPM_BUILD_ROOT%{mainlibdirbi}/libffi.la
+rm -f %{buildroot}%{mainlibdirbi}/libffi.la
 %endif
 # Generate a simple pkg-config file
-mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
-echo -e 'Name: libffi\nVersion: 3.0.9\nDescription: libffi\nLibs: -lffi' > $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libffi.pc
+mkdir -p %{buildroot}%{_libdir}/pkgconfig
+echo -e 'Name: libffi\nVersion: 3.0.9\nDescription: libffi\nLibs: -lffi' > %{buildroot}%{_libdir}/pkgconfig/libffi.pc
 %endif
 
 %if %{build_java}
 %if !%{build_libjava}
-rm $RPM_BUILD_ROOT%{_mandir}/man1/jv-convert%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{_mandir}/man1/gcj-dbtool%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{_mandir}/man1/gij%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{_mandir}/man1/grmic%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{_mandir}/man1/gc-analyze%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{_mandir}/man1/aot-compile%{binsuffix}.1
-rm $RPM_BUILD_ROOT%{_mandir}/man1/rebuild-gcj-db%{binsuffix}.1
-%endif
-rm -f $RPM_BUILD_ROOT%{_datadir}/gcc%{binsuffix}/python/libjava/aotcompile.py
-rm -f $RPM_BUILD_ROOT%{_datadir}/gcc%{binsuffix}/python/libjava/classfile.py
-%endif
-rm -f $RPM_BUILD_ROOT%{_mandir}/man7/fsf-funding.7
-rm -f $RPM_BUILD_ROOT%{_mandir}/man7/gfdl.7
-rm -f $RPM_BUILD_ROOT%{_mandir}/man7/gpl.7
-rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a
+rm %{buildroot}%{_mandir}/man1/jv-convert%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/gcj-dbtool%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/gij%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/grmic%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/gc-analyze%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/aot-compile%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/rebuild-gcj-db%{binsuffix}.1
+%endif
+rm -f %{buildroot}%{_datadir}/gcc%{binsuffix}/python/libjava/aotcompile.py
+rm -f %{buildroot}%{_datadir}/gcc%{binsuffix}/python/libjava/classfile.py
+%endif
+rm -f %{buildroot}%{_mandir}/man7/fsf-funding.7
+rm -f %{buildroot}%{_mandir}/man7/gfdl.7
+rm -f %{buildroot}%{_mandir}/man7/gpl.7
+rm -f %{buildroot}%{_libdir}/libiberty.a
 %if %{biarch}
 %if %{build_primary_64bit}
-rm -f $RPM_BUILD_ROOT%{_prefix}/lib/libiberty.a
+rm -f %{buildroot}%{_prefix}/lib/libiberty.a
 %else
-rm -f $RPM_BUILD_ROOT%{_prefix}/lib64/libiberty.a
+rm -f %{buildroot}%{_libdir}/libiberty.a
 %endif
 %endif
-rm -f $RPM_BUILD_ROOT%{libsubdir}/liblto_plugin.a
-rm -f $RPM_BUILD_ROOT%{libsubdir}/liblto_plugin.la
+rm -f %{buildroot}%{libsubdir}/liblto_plugin.a
+rm -f %{buildroot}%{libsubdir}/liblto_plugin.la
 %if %{build_go}
 # gccgo.info isn't properly versioned
-rm $RPM_BUILD_ROOT%{_infodir}/gccgo.info*
+rm %{buildroot}%{_infodir}/gccgo.info*
 %endif
 
 %if 0%{?building_libjava:1}
 # For building libjava only we need to delete other info docs
-rm $RPM_BUILD_ROOT%{_infodir}/cp-tools.info*
+rm %{buildroot}%{_infodir}/cp-tools.info*
 # Remove stale manpages for binaries we do not build
-rm $RPM_BUILD_ROOT%{_mandir}/man1/gjdoc%{binsuffix}.1
+rm %{buildroot}%{_mandir}/man1/gjdoc%{binsuffix}.1
 # For building the java frontend we need to copy the ecj jar
-mkdir -p $RPM_BUILD_ROOT%{libsubdir}
-cp $RPM_SOURCE_DIR/ecj.jar $RPM_BUILD_ROOT%{libsubdir}
+mkdir -p %{buildroot}%{libsubdir}
+cp $RPM_SOURCE_DIR/ecj.jar %{buildroot}%{libsubdir}
 %else
 # For regular build, some info files do not get renamed properly.
 # Do so here.
-mv $RPM_BUILD_ROOT%{_infodir}/libgomp.info $RPM_BUILD_ROOT%{_infodir}/libgomp%{binsuffix}.info
-%ifarch %itm_arch
-mv $RPM_BUILD_ROOT%{_infodir}/libitm.info $RPM_BUILD_ROOT%{_infodir}/libitm%{binsuffix}.info
-%endif
-%if %{build_fortran} 
-%ifarch %quadmath_arch
-mv $RPM_BUILD_ROOT%{_infodir}/libquadmath.info $RPM_BUILD_ROOT%{_infodir}/libquadmath%{binsuffix}.info
+mv %{buildroot}%{_infodir}/libgomp.info %{buildroot}%{_infodir}/libgomp%{binsuffix}.info
+%ifarch %{itm_arch}
+mv %{buildroot}%{_infodir}/libitm.info %{buildroot}%{_infodir}/libitm%{binsuffix}.info
+%endif
+%if %{build_fortran}
+%ifarch %{quadmath_arch}
+mv %{buildroot}%{_infodir}/libquadmath.info %{buildroot}%{_infodir}/libquadmath%{binsuffix}.info
 %endif
 %endif
 %if %{build_ada}
-mv $RPM_BUILD_ROOT%{_infodir}/gnat-style.info $RPM_BUILD_ROOT%{_infodir}/gnat-style%{binsuffix}.info
-mv $RPM_BUILD_ROOT%{_infodir}/gnat_rm.info $RPM_BUILD_ROOT%{_infodir}/gnat_rm%{binsuffix}.info
-mv $RPM_BUILD_ROOT%{_infodir}/gnat_ugn.info $RPM_BUILD_ROOT%{_infodir}/gnat_ugn%{binsuffix}.info
+mv %{buildroot}%{_infodir}/gnat-style.info %{buildroot}%{_infodir}/gnat-style%{binsuffix}.info
+mv %{buildroot}%{_infodir}/gnat_rm.info %{buildroot}%{_infodir}/gnat_rm%{binsuffix}.info
+mv %{buildroot}%{_infodir}/gnat_ugn.info %{buildroot}%{_infodir}/gnat_ugn%{binsuffix}.info
 %endif
 %endif
 
@@ -2689,9 +2687,9 @@
 %install_info --info-dir=%{_infodir} %{_infodir}/gccint%{binsuffix}.info.gz
 %install_info --info-dir=%{_infodir} %{_infodir}/gccinstall%{binsuffix}.info.gz
 %install_info --info-dir=%{_infodir} %{_infodir}/libgomp%{binsuffix}.info.gz
-%if %{build_fortran} 
+%if %{build_fortran}
 %install_info --info-dir=%{_infodir} %{_infodir}/gfortran%{binsuffix}.info.gz
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 %install_info --info-dir=%{_infodir} %{_infodir}/libquadmath%{binsuffix}.info.gz
 %endif
 %endif
@@ -2713,7 +2711,7 @@
 %install_info_delete --info-dir=%{_infodir} %{_infodir}/libgomp%{binsuffix}.info.gz
 %if %{build_fortran}
 %install_info_delete --info-dir=%{_infodir} %{_infodir}/gfortran%{binsuffix}.info.gz
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 %install_info_delete --info-dir=%{_infodir} %{_infodir}/libquadmath%{binsuffix}.info.gz
 %endif
 %endif
@@ -2740,12 +2738,12 @@
 %dir %{libsubdir}/64
 %endif
 %endif
-%{_prefix}/bin/gcc%{binsuffix}
-%{_prefix}/bin/gcov%{binsuffix}
-%{_prefix}/bin/gcov-tool%{binsuffix}
-%{_prefix}/bin/gcc-ar%{binsuffix}
-%{_prefix}/bin/gcc-nm%{binsuffix}
-%{_prefix}/bin/gcc-ranlib%{binsuffix}
+%{_bindir}/gcc%{binsuffix}
+%{_bindir}/gcov%{binsuffix}
+%{_bindir}/gcov-tool%{binsuffix}
+%{_bindir}/gcc-ar%{binsuffix}
+%{_bindir}/gcc-nm%{binsuffix}
+%{_bindir}/gcc-ranlib%{binsuffix}
 %{libsubdir}/collect2
 %{libsubdir}/lto1
 %{libsubdir}/lto-wrapper
@@ -2753,7 +2751,7 @@
 %{libsubdir}/include-fixed/README
 %{libsubdir}/include-fixed/limits.h
 %{libsubdir}/include-fixed/syslimits.h
-%if %{suse_version} < 1030
+%if 0%{?suse_version} < 1030
 %{libsubdir}/include-fixed/wchar.h
 %endif
 %{libsubdir}/include/omp.h
@@ -2771,7 +2769,7 @@
 %{libsubdir}/include/stdalign.h
 %{libsubdir}/include/stdatomic.h
 %{libsubdir}/include/openacc.h
-%ifarch %sparc
+%ifarch %{sparc}
 %{libsubdir}/include/visintrin.h
 %endif
 %ifarch ppc ppc64 ppc64le
@@ -2865,10 +2863,10 @@
 %ifarch m68k
 %{libsubdir}/include/math-68881.h
 %endif
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
 %{libsubdir}/include/cilk
 %endif
-%ifarch %asan_arch
+%ifarch %{asan_arch}
 %{libsubdir}/include/sanitizer
 %endif
 %versmainlib *crt*.o
@@ -2881,53 +2879,53 @@
 %versmainlib libgomp-plugin-host_nonshm.so
 %versmainlib libgomp-plugin-host_nonshm.so.1
 %versmainlib libgomp-plugin-host_nonshm.so.1.0.0
-%ifarch %itm_arch
+%ifarch %{itm_arch}
 %versmainlib libitm.so
 %versmainlib libitm.a
 %versmainlib libitm.spec
 %endif
-%ifarch %atomic_arch
+%ifarch %{atomic_arch}
 %versmainlib libatomic.so
 %versmainlib libatomic.a
 %endif
-%ifarch %asan_arch
+%ifarch %{asan_arch}
 %versmainlib libasan.so
 %versmainlib libasan.a
 %versmainlib libasan_preinit.o
 %endif
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
 %versmainlib libtsan.so
 %versmainlib libtsan.a
 %endif
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
 %versmainlib libcilkrts.so
 %versmainlib libcilkrts.a
 %versmainlib libcilkrts.spec
 %endif
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
 %versmainlib liblsan.so
 %versmainlib liblsan.a
 %endif
-%ifarch %ubsan_arch
+%ifarch %{ubsan_arch}
 %versmainlib libubsan.so
 %versmainlib libubsan.a
 %endif
-%ifarch %asan_arch %ubsan_arch %tsan_arch %lsan_arch
+%ifarch %{asan_arch} %{ubsan_arch} %{tsan_arch} %{lsan_arch}
 %versmainlib libsanitizer.spec
 %endif
-%ifarch %vtv_arch
+%ifarch %{vtv_arch}
 %versmainlib libvtv.so
 %versmainlib libvtv.a
 %endif
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
 %versmainlib libmpx.so
 %versmainlib libmpx.a
 %versmainlib libmpxwrappers.so
 %versmainlib libmpxwrappers.a
 %versmainlib libmpx.spec
 %endif
-%doc %{_mandir}/man1/gcc%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gcov%{binsuffix}.1.gz
+%{_mandir}/man1/gcc%{binsuffix}.1.gz
+%{_mandir}/man1/gcov%{binsuffix}.1.gz
 
 %if %{separate_biarch}
 %files -n gcc5%{separate_biarch_suffix}
@@ -2942,47 +2940,47 @@
 %versbiarchlib libgomp-plugin-host_nonshm.so
 %versbiarchlib libgomp-plugin-host_nonshm.so.1
 %versbiarchlib libgomp-plugin-host_nonshm.so.1.0.0
-%ifarch %itm_arch
+%ifarch %{itm_arch}
 %versbiarchlib libitm.so
 %versbiarchlib libitm.a
 %versbiarchlib libitm.spec
 %endif
-%ifarch %atomic_arch
+%ifarch %{atomic_arch}
 %versbiarchlib libatomic.a
 %versbiarchlib libatomic.so
 %endif
-%ifarch %asan_arch
+%ifarch %{asan_arch}
 %versbiarchlib libasan.a
 %versbiarchlib libasan.so
 %versbiarchlib libasan_preinit.o
 %endif
-%ifarch %ubsan_arch
+%ifarch %{ubsan_arch}
 %versbiarchlib libubsan.a
 %versbiarchlib libubsan.so
 %endif
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
 %versbiarchlib libcilkrts.a
 %versbiarchlib libcilkrts.so
 %versbiarchlib libcilkrts.spec
 %endif
 %if 0
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
 %versbiarchlib libtsan.a
 %versbiarchlib libtsan.so
 %endif
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
 %versbiarchlib liblsan.a
 %versbiarchlib liblsan.so
 %endif
 %endif
-%ifarch %asan_arch %ubsan_arch %tsan_arch %lsan_arch
+%ifarch %{asan_arch} %{ubsan_arch} %{tsan_arch} %{lsan_arch}
 %versbiarchlib libsanitizer.spec
 %endif
-%ifarch %vtv_arch
+%ifarch %{vtv_arch}
 %versbiarchlib libvtv.a
 %versbiarchlib libvtv.so
 %endif
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
 %versbiarchlib libmpx.so
 %versbiarchlib libmpx.a
 %versbiarchlib libmpxwrappers.so
@@ -3001,15 +2999,15 @@
 %dir %{_libdir}/gcc
 %dir %{_libdir}/gcc/%{GCCDIST}
 %dir %{libsubdir}
-%{_prefix}/bin/g++%{binsuffix}
-%doc %{_mandir}/man1/g++%{binsuffix}.1.gz
+%{_bindir}/g++%{binsuffix}
+%{_mandir}/man1/g++%{binsuffix}.1.gz
 %{libsubdir}/cc1plus
 
 %if %{separate_biarch}
 %files c++%{separate_biarch_suffix}
 %defattr(-,root,root)
 # empty - only for the dependency
-%if %{suse_version} < 1310
+%if 0%{?suse_version} < 1310
 %doc README
 %endif
 %endif
@@ -3086,7 +3084,7 @@
 %biarchlib libgomp.so.%{libgomp_sover}*
 %endif
 
-%ifarch %asan_arch
+%ifarch %{asan_arch}
 %files -n libasan%{libasan_sover}%{libasan_suffix}
 %defattr(-,root,root)
 %mainlib libasan.so.%{libasan_sover}*
@@ -3098,7 +3096,7 @@
 %endif
 %endif
 
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
 %files -n liblsan%{liblsan_sover}%{liblsan_suffix}
 %defattr(-,root,root)
 %mainlib liblsan.so.%{liblsan_sover}*
@@ -3112,7 +3110,7 @@
 %endif
 %endif
 
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
 %files -n libtsan%{libtsan_sover}%{libtsan_suffix}
 %defattr(-,root,root)
 %mainlib libtsan.so.%{libtsan_sover}*
@@ -3126,7 +3124,7 @@
 %endif
 %endif
 
-%ifarch %atomic_arch
+%ifarch %{atomic_arch}
 %files -n libatomic%{libatomic_sover}%{libatomic_suffix}
 %defattr(-,root,root)
 %mainlib libatomic.so.%{libatomic_sover}*
@@ -3138,7 +3136,7 @@
 %endif
 %endif
 
-%ifarch %itm_arch
+%ifarch %{itm_arch}
 %files -n libitm%{libitm_sover}%{libitm_suffix}
 %defattr(-,root,root)
 %mainlib libitm.so.%{libitm_sover}*
@@ -3150,7 +3148,7 @@
 %endif
 %endif
 
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
 %files -n libcilkrts%{libcilkrts_sover}%{libcilkrts_suffix}
 %defattr(-,root,root)
 %mainlib libcilkrts.so.%{libcilkrts_sover}*
@@ -3162,7 +3160,7 @@
 %endif
 %endif
 
-%ifarch %ubsan_arch
+%ifarch %{ubsan_arch}
 %files -n libubsan%{libubsan_sover}%{libubsan_suffix}
 %defattr(-,root,root)
 %mainlib libubsan.so.%{libubsan_sover}*
@@ -3174,7 +3172,7 @@
 %endif
 %endif
 
-%ifarch %vtv_arch
+%ifarch %{vtv_arch}
 %files -n libvtv%{libvtv_sover}%{libvtv_suffix}
 %defattr(-,root,root)
 %mainlib libvtv.so.%{libvtv_sover}*
@@ -3186,7 +3184,7 @@
 %endif
 %endif
 
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
 %files -n libmpx%{libmpx_sover}%{libmpx_suffix}
 %defattr(-,root,root)
 %mainlib libmpx.so.%{libmpx_sover}*
@@ -3212,7 +3210,7 @@
 %files fortran
 %defattr(-,root,root)
 %dir %{libsubdir}/finclude
-%{_prefix}/bin/gfortran%{binsuffix}
+%{_bindir}/gfortran%{binsuffix}
 %{libsubdir}/f951
 %{libsubdir}/finclude/*
 %versmainlib libgfortran.a
@@ -3220,13 +3218,13 @@
 %versmainlib libgfortran.spec
 %versmainlib libgfortranbegin.a
 %versmainlib libcaf_single.a
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 %{libsubdir}/include/quadmath.h
 %{libsubdir}/include/quadmath_weak.h
 %versmainlib libquadmath.a
 %versmainlib libquadmath.so
 %endif
-%doc %{_mandir}/man1/gfortran%{binsuffix}.1.gz
+%{_mandir}/man1/gfortran%{binsuffix}.1.gz
 
 %if %{separate_biarch}
 %files fortran%{separate_biarch_suffix}
@@ -3238,7 +3236,7 @@
 %versbiarchlib libgfortran.spec
 %versbiarchlib libgfortranbegin.a
 %versbiarchlib libcaf_single.a
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 %versbiarchlib libquadmath.a
 %versbiarchlib libquadmath.so
 %endif
@@ -3254,7 +3252,7 @@
 %biarchlib libgfortran.so.%{libgfortran_sover}*
 %endif
 
-%ifarch %quadmath_arch
+%ifarch %{quadmath_arch}
 %files -n libquadmath%{libquadmath_sover}%{libquadmath_suffix}
 %defattr(-,root,root)
 %mainlib libquadmath.so.%{libquadmath_sover}*
@@ -3269,28 +3267,28 @@
 
 %files info
 %defattr(-,root,root)
-%doc %{_infodir}/cpp%{binsuffix}.info*.gz
-%doc %{_infodir}/cppinternals%{binsuffix}.info*.gz
-%doc %{_infodir}/gcc%{binsuffix}.info*.gz
-%doc %{_infodir}/gccint%{binsuffix}.info*.gz
-%doc %{_infodir}/gccinstall%{binsuffix}.info*.gz
-%doc %{_infodir}/libgomp%{binsuffix}.info*.gz
-%ifarch %itm_arch
-%doc %{_infodir}/libitm%{binsuffix}.info*.gz
+%{_infodir}/cpp%{binsuffix}.info*.gz
+%{_infodir}/cppinternals%{binsuffix}.info*.gz
+%{_infodir}/gcc%{binsuffix}.info*.gz
+%{_infodir}/gccint%{binsuffix}.info*.gz
+%{_infodir}/gccinstall%{binsuffix}.info*.gz
+%{_infodir}/libgomp%{binsuffix}.info*.gz
+%ifarch %{itm_arch}
+%{_infodir}/libitm%{binsuffix}.info*.gz
 %endif
 %if %{build_fortran}
-%doc %{_infodir}/gfortran%{binsuffix}.info*.gz
-%ifarch %quadmath_arch
-%doc %{_infodir}/libquadmath%{binsuffix}.info*.gz
+%{_infodir}/gfortran%{binsuffix}.info*.gz
+%ifarch %{quadmath_arch}
+%{_infodir}/libquadmath%{binsuffix}.info*.gz
 %endif
 %endif
 %if %{build_java}
-%doc %{_infodir}/gcj%{binsuffix}.info*.gz
+%{_infodir}/gcj%{binsuffix}.info*.gz
 %endif
 %if %{build_ada}
-%doc %{_infodir}/gnat-style%{binsuffix}.info*gz
-%doc %{_infodir}/gnat_rm%{binsuffix}.info*gz
-%doc %{_infodir}/gnat_ugn%{binsuffix}.info*gz
+%{_infodir}/gnat-style%{binsuffix}.info*gz
+%{_infodir}/gnat_rm%{binsuffix}.info*gz
+%{_infodir}/gnat_ugn%{binsuffix}.info*gz
 %endif
 
 %files -n cpp5
@@ -3298,10 +3296,10 @@
 %dir %{_libdir}/gcc
 %dir %{_libdir}/gcc/%{GCCDIST}
 %dir %{libsubdir}
-%{_prefix}/bin/cpp%{binsuffix}
+%{_bindir}/cpp%{binsuffix}
 %{libsubdir}/cc1
 #%{libsubdir}/specs
-%doc %{_mandir}/man1/cpp%{binsuffix}.1.gz
+%{_mandir}/man1/cpp%{binsuffix}.1.gz
 
 %if %{build_objc}
 %files objc
@@ -3338,7 +3336,7 @@
 %files obj-c++%{separate_biarch_suffix}
 %defattr(-,root,root)
 # empty - only for the dependency
-%if %{suse_version} < 1310
+%if 0%{?suse_version} < 1310
 %doc README
 %endif
 %endif
@@ -3350,7 +3348,7 @@
 %dir %{_libdir}/gcc
 %dir %{_libdir}/gcc/%{GCCDIST}
 %dir %{libsubdir}
-%{_prefix}/bin/gnat*
+%{_bindir}/gnat*
 %dir %{versmainlibdir}/adalib
 %{versmainlibdir}/adainclude
 %{versmainlibdir}/adalib/*.ali
@@ -3387,26 +3385,26 @@
 %if 0%{?building_libjava:1}
 %files -n gcc5-java
 %defattr(-,root,root)
-%{_prefix}/bin/gcj%{binsuffix}
-%{_prefix}/bin/gcjh%{binsuffix}
-%{_prefix}/bin/gcj-dbtool%{binsuffix}
-%{_prefix}/bin/jcf-dump%{binsuffix}
-%{_prefix}/bin/jv-convert%{binsuffix}
-%{_prefix}/bin/gc-analyze%{binsuffix}
-%{_prefix}/bin/aot-compile%{binsuffix}
-%{_prefix}/bin/rebuild-gcj-db%{binsuffix}
+%{_bindir}/gcj%{binsuffix}
+%{_bindir}/gcjh%{binsuffix}
+%{_bindir}/gcj-dbtool%{binsuffix}
+%{_bindir}/jcf-dump%{binsuffix}
+%{_bindir}/jv-convert%{binsuffix}
+%{_bindir}/gc-analyze%{binsuffix}
+%{_bindir}/aot-compile%{binsuffix}
+%{_bindir}/rebuild-gcj-db%{binsuffix}
 %{libsubdir}/jc1
 %{libsubdir}/jvgenmain
 %{libsubdir}/ecj.jar
 %{libsubdir}/ecj1
-%doc %{_mandir}/man1/gcj%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gcjh%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gcj-dbtool%{binsuffix}.1.gz
-%doc %{_mandir}/man1/jcf-dump%{binsuffix}.1.gz
-%doc %{_mandir}/man1/jv-convert%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gc-analyze%{binsuffix}.1.gz
-%doc %{_mandir}/man1/aot-compile%{binsuffix}.1.gz
-%doc %{_mandir}/man1/rebuild-gcj-db%{binsuffix}.1.gz
+%{_mandir}/man1/gcj%{binsuffix}.1.gz
+%{_mandir}/man1/gcjh%{binsuffix}.1.gz
+%{_mandir}/man1/gcj-dbtool%{binsuffix}.1.gz
+%{_mandir}/man1/jcf-dump%{binsuffix}.1.gz
+%{_mandir}/man1/jv-convert%{binsuffix}.1.gz
+%{_mandir}/man1/gc-analyze%{binsuffix}.1.gz
+%{_mandir}/man1/aot-compile%{binsuffix}.1.gz
+%{_mandir}/man1/rebuild-gcj-db%{binsuffix}.1.gz
 %endif
 %endif
 
@@ -3446,12 +3444,12 @@
 
 %files -n libgcj-jar%{libdevel_suffix}
 %defattr(-,root,root)
-%{_prefix}/share/java/libgcj-%{gcc_dir_version}.jar
-%{_prefix}/share/java/libgcj-tools-%{gcc_dir_version}.jar
+%{_datadir}/java/libgcj-%{gcc_dir_version}.jar
+%{_datadir}/java/libgcj-tools-%{gcc_dir_version}.jar
 
 %files -n libgcj-devel%{libdevel_suffix}
 %defattr(-,root,root)
-%dir %{_prefix}/include/c++
+%dir %{_includedir}/c++
 %dir %{libsubdir}
 %dir %{libsubdir}/include
 %dir %{gxxinclude}
@@ -3484,32 +3482,32 @@
 
 %files -n gcc5-gij
 %defattr(-,root,root)
-%{_prefix}/bin/gij%{binsuffix}
-%{_prefix}/bin/gappletviewer%{binsuffix}
-%{_prefix}/bin/gjar%{binsuffix}
-%{_prefix}/bin/gjarsigner%{binsuffix}
-%{_prefix}/bin/gjavah%{binsuffix}
-%{_prefix}/bin/gkeytool%{binsuffix}
-%{_prefix}/bin/gnative2ascii%{binsuffix}
-%{_prefix}/bin/gorbd%{binsuffix}
-%{_prefix}/bin/grmic%{binsuffix}
-%{_prefix}/bin/grmid%{binsuffix}
-%{_prefix}/bin/grmiregistry%{binsuffix}
-%{_prefix}/bin/gserialver%{binsuffix}
-%{_prefix}/bin/gtnameserv%{binsuffix}
-%doc %{_mandir}/man1/gij%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gappletviewer%{binsuffix}.1.gz
-%doc %{_mandir}/man1/grmic%{binsuffix}.1.gz
-%doc %{_mandir}/man1/grmid%{binsuffix}.1.gz
-%doc %{_mandir}/man1/grmiregistry%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gkeytool%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gjar%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gjarsigner%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gjavah%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gnative2ascii%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gorbd%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gserialver%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gtnameserv%{binsuffix}.1.gz
+%{_bindir}/gij%{binsuffix}
+%{_bindir}/gappletviewer%{binsuffix}
+%{_bindir}/gjar%{binsuffix}
+%{_bindir}/gjarsigner%{binsuffix}
+%{_bindir}/gjavah%{binsuffix}
+%{_bindir}/gkeytool%{binsuffix}
+%{_bindir}/gnative2ascii%{binsuffix}
+%{_bindir}/gorbd%{binsuffix}
+%{_bindir}/grmic%{binsuffix}
+%{_bindir}/grmid%{binsuffix}
+%{_bindir}/grmiregistry%{binsuffix}
+%{_bindir}/gserialver%{binsuffix}
+%{_bindir}/gtnameserv%{binsuffix}
+%{_mandir}/man1/gij%{binsuffix}.1.gz
+%{_mandir}/man1/gappletviewer%{binsuffix}.1.gz
+%{_mandir}/man1/grmic%{binsuffix}.1.gz
+%{_mandir}/man1/grmid%{binsuffix}.1.gz
+%{_mandir}/man1/grmiregistry%{binsuffix}.1.gz
+%{_mandir}/man1/gkeytool%{binsuffix}.1.gz
+%{_mandir}/man1/gjar%{binsuffix}.1.gz
+%{_mandir}/man1/gjarsigner%{binsuffix}.1.gz
+%{_mandir}/man1/gjavah%{binsuffix}.1.gz
+%{_mandir}/man1/gnative2ascii%{binsuffix}.1.gz
+%{_mandir}/man1/gorbd%{binsuffix}.1.gz
+%{_mandir}/man1/gserialver%{binsuffix}.1.gz
+%{_mandir}/man1/gtnameserv%{binsuffix}.1.gz
 %endif
 %endif
 
@@ -3533,21 +3531,22 @@
 
 %post -n libffi-devel%{libdevel_suffix}
 %install_info --info-dir=%{_infodir} %{_infodir}/libffi%{binsuffix}.info.gz
+
 %postun -n libffi-devel%{libdevel_suffix}
 %install_info_delete --info-dir=%{_infodir} %{_infodir}/libffi%{binsuffix}.info.gz
 
 %files -n libffi-devel%{libdevel_suffix}
 %defattr(-,root,root)
-%{_prefix}/include/ffi.h
-%{_prefix}/include/ffitarget.h
+%{_includedir}/ffi.h
+%{_includedir}/ffitarget.h
 %mainlib libffi.so
 %mainlib libffi.a
 %{_libdir}/pkgconfig/libffi.pc
-%doc %{_infodir}/libffi%{binsuffix}.info.gz
-%doc %{_mandir}/man3/ffi%{binsuffix}.3.gz
-%doc %{_mandir}/man3/ffi_call%{binsuffix}.3.gz
-%doc %{_mandir}/man3/ffi_prep_cif%{binsuffix}.3.gz
-%doc %{_mandir}/man3/ffi_prep_cif_var%{binsuffix}.3.gz
+%{_infodir}/libffi%{binsuffix}.info.gz
+%{_mandir}/man3/ffi%{binsuffix}.3.gz
+%{_mandir}/man3/ffi_call%{binsuffix}.3.gz
+%{_mandir}/man3/ffi_prep_cif%{binsuffix}.3.gz
+%{_mandir}/man3/ffi_prep_cif_var%{binsuffix}.3.gz
 
 %if %{separate_biarch}
 %files -n libffi-devel%{libdevel_suffix}%{separate_biarch_suffix}
@@ -3561,22 +3560,22 @@
 %if %{build_go}
 %files go
 %defattr(-,root,root)
-%{_prefix}/bin/gccgo%{binsuffix}
-%{_prefix}/bin/go%{binsuffix}
-%{_prefix}/bin/gofmt%{binsuffix}
+%{_bindir}/gccgo%{binsuffix}
+%{_bindir}/go%{binsuffix}
+%{_bindir}/gofmt%{binsuffix}
 %{libsubdir}/go1
 %versmainlib libgo.a
 %versmainlib libgo.so
 %versmainlib libgobegin.a
 %versmainlib libnetgo.a
 %versmainlib libgolibbegin.a
-%versmainlibdir/cgo
-%dir %mainlibdir/go
-%dir %mainlibdir/go/%{gcc_dir_version}
-%mainlibdir/go/%{gcc_dir_version}/%{GCCDIST}
-%doc %{_mandir}/man1/gccgo%{binsuffix}.1.gz
-%doc %{_mandir}/man1/go%{binsuffix}.1.gz
-%doc %{_mandir}/man1/gofmt%{binsuffix}.1.gz
+%{versmainlibdir}/cgo
+%dir %{mainlibdir}/go
+%dir %{mainlibdir}/go/%{gcc_dir_version}
+%{mainlibdir}/go/%{gcc_dir_version}/%{GCCDIST}
+%{_mandir}/man1/gccgo%{binsuffix}.1.gz
+%{_mandir}/man1/go%{binsuffix}.1.gz
+%{_mandir}/man1/gofmt%{binsuffix}.1.gz
 
 %if %{separate_biarch}
 %files go%{separate_biarch_suffix}
@@ -3586,9 +3585,9 @@
 %versbiarchlib libgobegin.a
 %versbiarchlib libnetgo.a
 %versbiarchlib libgolibbegin.a
-%dir %mainlibdirbi/go
-%dir %mainlibdirbi/go/%{gcc_dir_version}
-%mainlibdirbi/go/%{gcc_dir_version}/%{GCCDIST}
+%dir %{mainlibdirbi}/go
+%dir %{mainlibdirbi}/go/%{gcc_dir_version}
+%{mainlibdirbi}/go/%{gcc_dir_version}/%{GCCDIST}
 %endif
 
 %files -n libgo%{libgo_sover}%{libgo_suffix}
